Subject: Fwd: Backlogged personal emails
From: Saurabh Dadu <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Fri, 13 Dec 2019 01:48:34 +0000

Regards,

Saurabh Dadu
LiveSalesman

Begin forwarded message:

From: Debbie Tan <[email-masked]>
Date: 13 December 2019 at 2:19:56 AM IST
To: Mike Johnson <[email-masked]>, Christine Giver <[email-masked]>, Saurabh Dadu <[email-masked]>
Subject: RE:  Backlogged personal emails

Saurabh,

Pls see attached for a list of current re-opened cases. Pls pay special attn to the “Last Modified” date, as this tells us when the customer had reached back out and NOT heard back.
This list does not include cases that we’ve already had other agents take over to assist.
37 of these cases are past 24 business hours since the last customer email – 15 of which are even from previous weeks.

I’ve also attached a list of “In Progress” cases. These are ones that had been grabbed by an agent but never answered.

We truly do need to figure out what’s causing these delays and put an end to this.
Do your agents have proper case views set up? They should be clearing out their personals during every single shift. And if someone is going to be off for a few days or if they get reassigned elsewhere, existing agents need to take over their cases.

Debbie Tan
Pro-Com Products, Inc.

From: Mike Johnson <[email-masked]>
Sent: Thursday, December 12, 2019 11:47 AM
To: Christine Giver <[email-masked]>; Saurabh Dadu <[email-masked]>
Cc: Debbie Tan <[email-masked]>
Subject: RE: Backlogged personal emails

Saurabh,

What happened here??

TY

MJ

From: Christine Giver <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, December 12, 2019 2:40 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Mike Johnson <[email-masked]<mailto:[email-masked]>>; Debbie Tan <[email-masked]<mailto:[email-masked]>>
Subject: Backlogged personal emails

Hi Saurabh,

I had previously mentioned that there was an issue with responses from customers not getting followed up on. I even provided a link to a search where you or your team can check these for each individual to make sure they are being responded to within 24-48 hours. I am going through them to make sure this has been corrected and I found at least a couple emails in your NS inbox that have not been responded to for over a week including the following escalated customer. I am going to have one of my agents here take over this case to ensure the customer is handled but I wanted to make you aware as this is not in any way acceptable.

I understand you are not intended to act as an “agent”, however you or someone still needs to be checking your cases as any customer you previously emailed will come back to you if they contact again unless another agent grabs that case from you. I was told this would be handled and it does not appear it was. We also need to make sure that if you eliminate an agent from the team, that any of their cases get handled as well.